<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Form\Registry;

class MailDefinitionRegistry implements MailDefinitionRegistryInterface
{
    private array $mailDefinitions;

    public function addMailDefinition(string $mailCode, string $variableName, string $variableLabel): void
    {
        $this->mailDefinitions[$mailCode][] = new MailDefinition($mailCode, $variableName, $variableLabel);
    }

    public function getMailDefinitionByMailCode(string $mailCode): array
    {
        return $this->mailDefinitions[$mailCode] ?? [];
    }
}
